# 概要

* Web+DB Press Python連載 2021/10号 掲載
* 型ヒントとmypyによるコード品質の向上 サンプルアプリ

## 仮想環境の作成とパッケージのインストール

```bash
$ python3 -m venv venv
$ . venv/bin/activate
(venv) $ pip install -r requirements.txt
```

## ファイル説明

以下が各章や節で取り上げたコード例です。

* `utils_before.py`: 「型ヒントがない場合」
* `utils_after.py`: 型ヒントがある場合」
* `mypy.ini`: 「mypyをより便利に設定する」
* `type_variable.py`:「変数」
* `type_function.py`: 「関数」
* `type_generic.py`: 「ジェネリック型」
* `type_any.py`: 「Any──制約のない型」
* `type_union.py`: 「Union──合併型」
* `type_optional1.py`: 「Optional──オプショナル型: age」
* `type_optional2.py`: 「Optional──オプショナル型: get_auth_header」
* `type_class.py`: 「クラス - ユーザー定義クラス」
* `type_classvar.py`: 「クラス - クラス変数」
* `typealias1.py`: 「型エイリアス」
* `typealias2.py`:「型エイリアス - TypeAlias」
* `str_literal_annotations.py`: 「文字列リテラル型を活用する」
* `non_lazy_annotations.py`: 「from \_\_future\_\_ import\_annotationsを使用する」
* `bar.py`: 「typing.TYPE_CHECKING - bar.py」
* `foo.py`:「typing.TYPE_CHECKING - foo.py」
* `requirements.txt`: 「mypyの実行スクリプトを用意する - 依存関係定義」
* `tox.ini`: 「mypyの実行スクリプトを用意する - toxの設定ファイル」
